#include <iostream>
#include <vector>

using namespace std;

bool sortiran(int i,int r,vector<int>a)
{
    bool c=true;
    vector<int>b;
    for(int j=i;j<=r;j++)
    {
        b.push_back(a[j]);
    }
    for(int j=0;j<b.size()-1;j++)
    {
        if(b[j]>b[j+1])
        {
            b.erase(b.begin()+j);
            break;
        }
    }
    for(int j=0;j<b.size()-1;j++)
    {
        if(b[j]>b[j+1])
        {
            c = false;
            break;
        }
    }
    return c;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,q;
    cin>>n;
    vector <int> a;
    int x;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        a.push_back(x);
    }
    cin>>q;
    int i,r;
    string res[q];
    for(int j=0;j<q;j++)
    {
        cin>>i>>r;
        i--;
        r--;
        if(sortiran(i,r,a)==true)
            res[j]="DA";
        else
            res[j]="NE";
    }
    for(int j=0;j<q;j++)
        cout<<res[j]<<'\n';
}